import { CancellationToken, Disposable, IDisposable, ILogger } from '@opensumi/ide-core-common';
import { IChatAgent, IChatAgentMetadata, IChatAgentRequest, IChatAgentResult, IChatAgentService, IChatContent, IChatFollowup, IChatMessage, IChatMessageStructure, IChatProgress } from '../../common';
import { ChatService } from './chat.service';
export declare class ChatAgentService extends Disposable implements IChatAgentService {
    private readonly agents;
    private defaultAgentId;
    private readonly _onDidChangeAgents;
    readonly onDidChangeAgents: import("@opensumi/ide-core-common").Event<void>;
    private readonly _onDidSendMessage;
    readonly onDidSendMessage: import("@opensumi/ide-core-common").Event<IChatContent>;
    logger: ILogger;
    aiChatService: ChatService;
    private readonly chatFeatureRegistry;
    constructor();
    registerAgent(agent: IChatAgent): IDisposable;
    updateAgent(id: string, updateMetadata: IChatAgentMetadata): Promise<void>;
    getAgents(): Array<IChatAgent>;
    hasAgent(id: string): boolean;
    getDefaultAgentId(): string | undefined;
    getAgent(id: string): IChatAgent | undefined;
    invokeAgent(id: string, request: IChatAgentRequest, progress: (part: IChatProgress) => void, history: IChatMessage[], token: CancellationToken): Promise<IChatAgentResult>;
    populateChatInput(id: string, message: IChatMessageStructure): void;
    getCommands(): {
        name: string;
        description: string;
        agentId: string;
    }[];
    getFollowups(id: string, sessionId: string, token: CancellationToken): Promise<IChatFollowup[]>;
    getSampleQuestions(id: string, token: CancellationToken): Promise<import("../../common").IChatReplyFollowup[]>;
    getAllSampleQuestions(): Promise<import("../../common").IChatReplyFollowup[]>;
    sendMessage(chunk: IChatContent): void;
    parseMessage(value: string, currentAgentId?: string): {
        agentId: string;
        command: string;
        message: string;
    };
}
//# sourceMappingURL=chat-agent.service.d.ts.map