import { PreferenceService } from '@opensumi/ide-core-browser';
import { CancellationTokenSource, Disposable, Event, IAIBackService, IAIBackServiceOption } from '@opensumi/ide-core-common';
import { IChatMessageStructure } from '../../common';
import { ChatModel, ChatRequestModel } from './chat-model';
export declare class ChatService extends Disposable {
    #private;
    aiBackService: IAIBackService;
    protected preferenceService: PreferenceService;
    private readonly msgStreamManager;
    private readonly aiReporter;
    private chatManagerService;
    private readonly _onChatMessageLaunch;
    readonly onChatMessageLaunch: Event<IChatMessageStructure>;
    private readonly _onChangeSessionId;
    readonly onChangeSessionId: Event<string>;
    private _latestSessionId;
    get latestSessionId(): string;
    get sessionModel(): ChatModel;
    constructor();
    launchChatMessage(data: IChatMessageStructure): void;
    cancelIndicatorChatView: CancellationTokenSource;
    cancelChatViewToken(): void;
    destroyStreamRequest(sessionId: string): Promise<void>;
    /**
     * by backend service
     * @param message
     */
    onMessage(message: string, sessionId: string): void;
    messageWithStream(input: string, options: IAIBackServiceOption | undefined, sessionId: string): Promise<void>;
    message(input: string, options?: IAIBackServiceOption): Promise<string | null>;
    setLatestSessionId(id: string): void;
    createRequest(input: string, agentId: string, command?: string): ChatRequestModel | undefined;
    sendRequest(request: ChatRequestModel, regenerate?: boolean): Promise<void>;
    cancelRequest(): void;
    clearSessionModel(): void;
    dispose(): void;
}
//# sourceMappingURL=chat.service.d.ts.map