"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AIInlineChatService = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_common_1 = require("@opensumi/ide-core-common");
let AIInlineChatService = class AIInlineChatService {
    constructor() {
        this._status = 0 /* EInlineChatStatus.READY */;
        this._onChatStatus = new ide_core_common_1.Emitter();
        this.onChatStatus = this._onChatStatus.event;
        this._onAccept = new ide_core_common_1.Emitter();
        this.onAccept = this._onAccept.event;
        this._onDiscard = new ide_core_common_1.Emitter();
        this.onDiscard = this._onDiscard.event;
        this._onRegenerate = new ide_core_common_1.Emitter();
        this.onRegenerate = this._onRegenerate.event;
        this._onThumbs = new ide_core_common_1.Emitter();
        this.onThumbs = this._onThumbs.event;
    }
    get status() {
        return this._status;
    }
    fireThumbsEvent(isThumbsUp) {
        this._onThumbs.fire(isThumbsUp);
    }
    isLoading() {
        return this._status === 1 /* EInlineChatStatus.THINKING */;
    }
    launchChatStatus(status) {
        (0, ide_core_common_1.runWhenIdle)(() => {
            this._status = status;
            this._onChatStatus.fire(status);
        });
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_core_common_1.AIBackSerivcePath),
    tslib_1.__metadata("design:type", Object)
], AIInlineChatService.prototype, "aiBackService", void 0);
AIInlineChatService = tslib_1.__decorate([
    (0, di_1.Injectable)({ multiple: false })
], AIInlineChatService);
exports.AIInlineChatService = AIInlineChatService;
//# sourceMappingURL=inline-chat.service.js.map