import React from 'react';
import { Event } from '@opensumi/ide-core-common';
import * as monaco from '@opensumi/ide-monaco';
import { BaseInlineContentWidget, ShowAIContentOptions } from '@opensumi/ide-monaco/lib/browser/ai-native/BaseInlineContentWidget';
import type { ICodeEditor as IMonacoCodeEditor } from '@opensumi/ide-monaco/lib/browser/monaco-api/types';
export declare class AIInlineContentWidget extends BaseInlineContentWidget {
    protected readonly editor: IMonacoCodeEditor;
    private readonly injector;
    private aiInlineChatService;
    private readonly aiNativeContextKey;
    private originTop;
    private readonly _onClickActions;
    readonly onClickActions: Event<string>;
    constructor(editor: IMonacoCodeEditor);
    dispose(): void;
    renderView(): React.ReactNode;
    show(options?: ShowAIContentOptions | undefined): Promise<void>;
    getDomNode(): HTMLElement;
    hide(options?: ShowAIContentOptions | undefined): Promise<void>;
    /**
     * 如果编辑器区域宽度小于 270px，则不显示
     * 不包括左侧 content width 和右侧的 minimap width
     */
    private isOutOfArea;
    setOptions(options: ShowAIContentOptions): void;
    offsetTop(top: number): void;
    id(): string;
    getPosition(): monaco.editor.IContentWidgetPosition | null;
    private safeGetLineLastNonWhitespaceColumn;
    private toAbovePosition;
    private toBelowPosition;
    private recheckPosition;
    private isProtrudeAbove;
    private isProtrudeBelow;
    /**
     * 动态计算要显示的位置
     * 1. 以选区里的光标作为顶点
     * 2. 靠近光标处周围没有字符的空白区域作为要显示的区域
     * 3. 显示的区域方向在右侧，左侧不考虑
     */
    private computerPosition;
}
//# sourceMappingURL=inline-content-widget.d.ts.map