"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeConflictPromptManager = exports.MergeConflictPromptManager = void 0;
const base_prompt_manager_1 = require("./base-prompt-manager");
class MergeConflictPromptManager extends base_prompt_manager_1.BasePromptManager {
    toPrompt(text) {
        return `You are an intelligent expert in resolving code conflicts. I've encountered a code conflict, and I need you to carefully consider it and provide me with the most suitable solution after understanding the code semantics. Here is the conflicting part of the code: \n\`\`\`\n${text}\n\`\`\`\n`;
    }
    toRegeneratePrompt(text) {
        return `The current solution to the code conflict is \n\`\`\`\n${text}\n\`\`\`\n, but I'm not fully satisfied with it. Could you please provide an alternative solution?`;
    }
    toThreeWayCodeAssemble(metadata) {
        return `<<<<<<< HEAD\n${metadata.current}\n||||||| base\n${metadata.base}\n>>>>>>>\n${metadata.incoming}`;
    }
    convertDefaultThreeWayPrompt(metadata) {
        const codeAssemble = this.toThreeWayCodeAssemble(metadata);
        return this.toPrompt(codeAssemble);
    }
    convertDefaultThreeWayRegeneratePrompt(metadata) {
        const codeAssemble = this.toThreeWayCodeAssemble(metadata);
        return this.toRegeneratePrompt(codeAssemble);
    }
}
exports.MergeConflictPromptManager = MergeConflictPromptManager;
exports.mergeConflictPromptManager = new MergeConflictPromptManager();
//# sourceMappingURL=merge-conflict-prompt.js.map