"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renamePromptManager = exports.RenamePromptManager = void 0;
const base_prompt_manager_1 = require("./base-prompt-manager");
class RenamePromptManager extends base_prompt_manager_1.BasePromptManager {
    requestPrompt(varName) {
        const prompt = `please rename this variable: \`\`\`\n${varName}\n\`\`\`, put all the possible names in a code block line by line.`;
        return prompt;
    }
    extractResponse(data) {
        const codeBlock = /```([\s\S]*?)```/g;
        const result = data.match(codeBlock);
        if (!result) {
            return [];
        }
        const lines = result[0].replace(/```/g, '').trim().split('\n');
        return lines;
    }
}
exports.RenamePromptManager = RenamePromptManager;
exports.renamePromptManager = new RenamePromptManager();
//# sourceMappingURL=rename-prompt.js.map